Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SafeSortedMap.EntryNode.MapEntry

`java.lang.Object
com.tangosol.util.SafeSortedMap.EntryNode.MapEntry`

All Implemented Interfaces:
  java.util.Map.Entry

Enclosing class:
  SafeSortedMap.EntryNode

      protected class SafeSortedMap.EntryNode.MapEntry

extends java.lang.Object
implements java.util.Map.Entry

A Map.Entry view of the EntryNode. This implementation supports updates via {#setValue}, but the behaviour is undefined in the presence of concurrent removes.

Field Summary
`protected java.lang.Object` | `m_oValue` The cached entry value.

Constructor Summary
`protected` | `SafeSortedMap.EntryNode.MapEntry()`

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified object with this entry for equality.
`java.lang.Object` | `getKey()` Returns the key corresponding to this entry.
`java.lang.Object` | `getValue()` Returns the value corresponding to this entry.
`int` | `hashCode()` Returns the hash code value for this map entry.
`java.lang.Object` | `setValue(java.lang.Object oValueNew)` Replaces the value corresponding to this entry with the specified value (optional operation).
`java.lang.String` | `toString()`

Field Detail

### m_oValue

    protected java.lang.Object m_oValue

  The cached entry value.

Constructor Detail

### SafeSortedMap.EntryNode.MapEntry

    protected SafeSortedMap.EntryNode.MapEntry()

Method Detail

### getKey

    public java.lang.Object getKey()

  Returns the key corresponding to this entry.
  Specified by:
    `getKey` in interface `java.util.Map.Entry`
  Returns:
    the key corresponding to this entry.

### getValue

    public java.lang.Object getValue()

  Returns the value corresponding to this entry. If the mapping has been removed from the backing map (by the iterator's `remove` operation), the results of this call are undefined.
  Specified by:
    `getValue` in interface `java.util.Map.Entry`
  Returns:
    the value corresponding to this entry.

### setValue

    public java.lang.Object setValue(java.lang.Object oValueNew)

  Replaces the value corresponding to this entry with the specified value (optional operation). (Writes through to the map.) The behavior of this call is undefined if the mapping has already been removed from the map (by the iterator's `remove` operation).
  Specified by:
    `setValue` in interface `java.util.Map.Entry`
  Parameters:
    `oValueNew` - new value to be stored in this entry.
  Returns:
    old value corresponding to the entry.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified object with this entry for equality. Returns `true` if the given object is also a map entry and the two entries represent the same mapping. More formally, two entries `e1` and `e2` represent the same mapping if

           (e1.getKey()==null ?
            e2.getKey()==null : e1.getKey().equals(e2.getKey()))  &&
           (e1.getValue()==null ?
            e2.getValue()==null : e1.getValue().equals(e2.getValue()))

  This ensures that the `equals` method works properly across different implementations of the `Map.Entry` interface.
  Specified by:
    `equals` in interface `java.util.Map.Entry`
  Parameters:
    `o` - object to be compared for equality with this map entry.
  Returns:
    `true` if the specified object is equal to this map entry.

### hashCode

    public int hashCode()

  Returns the hash code value for this map entry. The hash code of a map entry `e` is defined to be:

           (e.getKey()==null   ? 0 : e.getKey().hashCode()) ^
           (e.getValue()==null ? 0 : e.getValue().hashCode())

  This ensures that `e1.equals(e2)` implies that `e1.hashCode()==e2.hashCode()` for any two Entries `e1` and `e2`, as required by the general contract of `Object.hashCode`.
  Specified by:
    `hashCode` in interface `java.util.Map.Entry`
  Returns:
    the hash code value for this map entry.
  See Also:
    `Object.hashCode()`, `Object.equals(Object)`, `Map.Entry.equals(Object)`

### toString

    public java.lang.String toString()

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.